> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice

> API to get invoice by invoice id



## OpenAPI

````yaml /api-reference/invoices/openapi.json get /invoices/{invoiceId}
openapi: 3.0.0
info:
  title: Invoice API
  description: Documentation for invoice API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Invoice
    description: Documentation for invoice API
  - name: Template
    description: Documentation for invoice API
  - name: Schedule
    description: Documentation for invoice API
  - name: Text2Pay
    description: Documentation for invoice API
  - name: Estimate
    description: Documentation for invoice API
paths:
  /invoices/{invoiceId}:
    get:
      tags:
        - Invoice
      summary: Get invoice
      description: API to get invoice by invoice id
      operationId: get-invoice
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: invoiceId
          required: true
          in: path
          description: Invoice Id
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altId
          required: true
          in: query
          description: location Id / company Id based on altType
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altType
          required: true
          in: query
          description: Alt Type
          schema:
            example: location
            enum:
              - location
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInvoiceResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - invoices.readonly
        - Agency-Access:
            - invoices.readonly
components:
  schemas:
    GetInvoiceResponseDto:
      type: object
      properties:
        _id:
          type: string
          description: Invoice Id
          example: 6578278e879ad2646715ba9c
        status:
          type: string
          description: Invoice Status
          example: draft
          enum:
            - draft
            - sent
            - payment_processing
            - paid
            - void
            - partially_paid
        liveMode:
          type: boolean
          description: Live Mode
          example: false
        amountPaid:
          type: number
          description: Amount Paid
          example: 0
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
        name:
          type: string
          description: Name of the invoice
          example: New Invoice
        businessDetails:
          type: object
          description: Business Details
          example:
            name: Alex
            address:
              addressLine1: 9931 Beechwood
              city: St. Houston
              state: TX
              countryCode: USA
              postalCode: 559-6993
            phoneNo: +1-214-559-6993
            website: www.example.com
        invoiceNumber:
          type: number
          description: Invoice Number
          example: '19'
        currency:
          type: string
          description: Currency
          example: USD
        contactDetails:
          type: object
          description: Contact Details
          example:
            id: c6tZZU0rJBf30ZXx9Gli
            phoneNo: +1-214-559-6993
            email: alex@example.com
            customFields: []
            name: Alex
            address:
              countryCode: US
        issueDate:
          type: string
          description: Issue date in YYYY-MM-DD format
          example: '2023-01-01'
        dueDate:
          type: string
          description: Due date in YYYY-MM-DD format
          example: '2023-01-01'
        discount:
          type: object
          description: Discount
          example:
            type: percentage
            value: 0
        invoiceItems:
          description: Invoice Items
          example:
            - taxes: []
              _id: c6tZZU0rJBf30ZXx9Gli
              productId: c6tZZU0rJBf30ZXx9Gli
              priceId: c6tZZU0rJBf30ZXx9Gli
              currency: USD
              name: Macbook Pro
              qty: 1
              amount: 999
          type: array
          items:
            type: string
        total:
          type: number
          description: Total Amount
          example: 999
        title:
          type: string
          description: Title
          example: INVOICE
        amountDue:
          type: number
          description: Total Amount Due
          example: 999
        createdAt:
          type: string
          description: created at
          example: '2023-12-12T09:27:42.355Z'
        updatedAt:
          type: string
          description: updated at
          example: '2023-12-12T09:27:42.355Z'
        automaticTaxesEnabled:
          type: boolean
          description: Automatic taxes enabled for the Invoice
          example: true
        automaticTaxesCalculated:
          type: boolean
          description: Is Automatic taxes calculated for the Invoice items
          example: true
        paymentSchedule:
          type: object
          description: >-
            split invoice into payment schedule summing up to full invoice
            amount
        totalSummary:
          $ref: '#/components/schemas/TotalSummaryDto'
        remindersConfiguration:
          $ref: '#/components/schemas/RemindersConfigurationDto'
      required:
        - _id
        - status
        - liveMode
        - amountPaid
        - altId
        - altType
        - name
        - businessDetails
        - invoiceNumber
        - currency
        - contactDetails
        - issueDate
        - dueDate
        - invoiceItems
        - total
        - title
        - amountDue
        - createdAt
        - updatedAt
        - totalSummary
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    TotalSummaryDto:
      type: object
      properties:
        subTotal:
          type: number
          description: subTotal
          example: 999
        discount:
          type: number
          description: discount
          example: 0
        tax:
          type: number
          description: tax
          example: 0
      required:
        - subTotal
        - discount
        - tax
    RemindersConfigurationDto:
      type: object
      properties:
        reminderExecutionDetailsList:
          $ref: '#/components/schemas/ReminderExecutionDetailsList'
        reminderSettings:
          $ref: '#/components/schemas/ReminderSettingsDto'
      required:
        - reminderExecutionDetailsList
        - reminderSettings
    ReminderExecutionDetailsList:
      type: object
      properties: {}
    ReminderSettingsDto:
      type: object
      properties:
        defaultEmailTemplateId:
          type: string
          description: default template Id of reminder
          example: dhwjqi2899012990w2u
        reminders:
          description: List of reminders
          type: array
          items:
            $ref: '#/components/schemas/ReminderDto'
      required:
        - defaultEmailTemplateId
        - reminders
    ReminderDto:
      type: object
      properties:
        enabled:
          type: boolean
          description: Flag indicating if the reminder is enabled or not
          example: true
        emailTemplate:
          type: string
          description: Email template to be used for sending reminders
          example: default
        smsTemplate:
          type: string
          description: SMS template to be used for sending reminders
          example: default
        emailSubject:
          type: string
          description: Subject of the reminder
          example: Reminder
        reminderId:
          type: string
          description: Unique identifier for the reminder
          example: 9333e45f-a27d-4659-90e5-76c5ef06d094
        reminderName:
          type: string
          description: Name of the reminder
          example: Special Reminder
        reminderTime:
          type: string
          description: Time condition for the reminder
          example: before
          enum:
            - before
            - after
        intervalType:
          type: string
          description: Interval type for the reminder
          example: daily
          enum:
            - yearly
            - monthly
            - weekly
            - daily
            - hourly
            - minutely
            - secondly
        maxReminders:
          type: number
          description: Maximum number of reminders that can be sent
          example: 3
        reminderInvoiceCondition:
          type: string
          description: Condition for sending the reminder
          example: invoice_sent
          enum:
            - invoice_sent
            - invoice_overdue
        reminderNumber:
          type: number
          description: frequency gap of the reminder to exeucte
          example: 10
        startTime:
          type: string
          description: Business Hour Start Time
          example: 9:00 AM
        endTime:
          type: string
          description: Business Hour End Time
          example: 5:00 PM
        timezone:
          type: string
          description: Timezone at which reminder will be sent
          example: businessTZ
      required:
        - enabled
        - emailTemplate
        - smsTemplate
        - emailSubject
        - reminderId
        - reminderName
        - reminderTime
        - intervalType
        - maxReminders
        - reminderInvoiceCondition
        - reminderNumber

````